### Type parameters

- #### D

### Hierarchy

- ExtendedCompoundFilterDef<D>
- BaseDataFilter<D>
  - ExtendedCompoundFilter

## Index

### Properties

- criteria
- op

### Methods

- filter

## Properties

### criteria

criteria: (TextFilterDef | ExtendedCompoundFilterDef<D> | AttributeFilterDef<D> | AttributeExprFilterDef<D> | NestedFilterDef<D>)[]

Inherited from ExtendedCompoundFilterDef.criteria

### op

op: CompoundOperator

Inherited from ExtendedCompoundFilterDef.op

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- Inherited from BaseDataFilter.filter

  #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc